Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.util
Class ErrorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  calhoun.util.ErrorException

All Implemented Interfaces:
  java.io.Serializable

    public final class ErrorException

extends java.lang.RuntimeException

Exception type for general errors. It is unchecked to simplify error handling in the rest of our java code. It should be used for unrecoverable errors that are probably not due to a system configuration. Users should be expected to find a developer when one of these occurs. In general these will be bugs in the code or corner cases you have not implemented. If there is a whole operation or method that is completely not working, just throw UnsupportedOperationException.

See Also:
  Serialized Form

Constructor Summary
`ErrorException(java.lang.String arg0)`
`ErrorException(java.lang.String arg0, java.lang.Throwable arg1)`
`ErrorException(java.lang.Throwable arg)`

Method Summary
`java.lang.String` | `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ErrorException

    public ErrorException(java.lang.String arg0)

### ErrorException

    public ErrorException(java.lang.String arg0,
                          java.lang.Throwable arg1)

### ErrorException

    public ErrorException(java.lang.Throwable arg)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD